Favorite a TTS voice
curl --request POST \
--url https://api.tryhamsa.com/v2/tts/voices/{id}/favourite \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"isFavourite": true
}
'import requests
url = "https://api.tryhamsa.com/v2/tts/voices/{id}/favourite"
payload = { "isFavourite": True }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({isFavourite: true})
};
fetch('https://api.tryhamsa.com/v2/tts/voices/{id}/favourite', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "favourite updated successfully",
"messageKey": "OPERATION_SUCCESSFUL"
}{
"code": 9400,
"message": "Field must be a string!",
"messageKey": "FieldMustBeString"
}{
"success": false,
"code": 403,
"message": "You are not authorized to perform this action"
}{
"success": false,
"code": 404,
"message": "Resource not found"
}{
"success": false,
"code": 500,
"message": "Internal server error"
}Voice Cloning
Favorite a TTS voice
Mark or unmark a TTS voice as Favorite.
POST
/
v2
/
tts
/
voices
/
{id}
/
favourite
Favorite a TTS voice
Authorizations
Pass the API key in the Authorization header, You need to put Token keyword before the API key. e.g. 'Authorization: Token '
Path Parameters
Voice identifier.
Example:
"48f7656f-098b-4c43-b165-7cfd2cc8ac30"
Query Parameters
Project identifier.
Example:
"ae6d58c6-c6bd-4ae0-ad74-b8b39c29928b"
Body
application/json
Example:
true
Was this page helpful?
⌘I